List webhook events
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/webhooks/events \
--header 'x-api-key: <x-api-key>'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/webhooks/events"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"eventId": "<string>",
"type": "<string>",
"time": "<string>",
"status": "pending",
"attempts": 123,
"depositId": "<string>",
"deliveredAt": "<string>",
"payload": "<unknown>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}Webhooks
List webhook events
Returns webhook events for the authenticated project, newest first.
GET
/
webhooks
/
events
List webhook events
Headers
API key for authentication
Example:
"your-api-key"
API version identifier (e.g. "2026-04.amazon"). Optional today, will become required in a future release.
Pattern:
^\d{4}-\d{2}\.[a-z0-9]+$Example:
"2026-04.amazon"
Query Parameters
Return events created at or after this ISO timestamp
Filter by webhook type (e.g. "bridge-started")
Minimum string length:
1Max events to return (1-200, default 50)
Required range:
1 <= x <= 200Example:
50
Opaque cursor from a previous page. Returned events are id-desc; pass the lowest id from the previous page.
Minimum string length:
1Was this page helpful?